/*
	CsoundCmd.cc

	Will Eighteen, 2000: will@opaline.demon.co.uk
*/

#include "CsoundCmd.h"
//#include "Application.h"
#include <LineEdit.h>
#include <MessageDialogManager.h>
#include "OpResources.h"	// this is the only resources file with global resources


CsoundCmd::CsoundCmd ( const char *name, int active ) :  NoUndoCmd ( name, active )
{
	_popupRealised = False;
}


void CsoundCmd::doCommand()
{
	if ( _popupRealised == True )
		return;

	char buf[256];
	
	_edit = new LineEdit ( ( char * ) name(), TRUE,
									&CsoundCmd::enterCallback,
									&CsoundCmd::cancelCallback, ( void * ) this );
                
	/* retrieve resource to be displayed */
 	snprintf ( buf, sizeof ( buf ), "%s", mixwaveResources->csoundCmd());
	buf [ sizeof ( buf ) - 1 ] = 0;
	_edit->setColumns ( strlen ( buf ) );	// set width before instantiation
	_edit->setHelp ( "Specifies csound (if you have it): default <empty>; \
e.g. 'csound', '/usr/bin/csound', 'usr/local/bin/csound' (without the quotes!)" );
	_edit->execute();
	_edit->setText ( buf );	// can't set text before instantiation...
	_popupRealised = True;
}


void CsoundCmd::enterCallback ( void *clientData, char *text )
{
	char buf[256];
	
	CsoundCmd *obj = ( CsoundCmd * ) clientData;

	if ( strcmp ( text, mixwaveResources->csoundCmd() ) != 0 )
	{
		strncpy ( buf, text, sizeof ( buf ) );
		buf [ sizeof ( buf ) - 1 ] = 0;
		obj->enter ( buf );
	}

	obj->_popupRealised = False;
	delete obj->_edit;
}


void CsoundCmd::enter ( char *text )
{
	if ( strlen ( text ) < 256 )	// dimension defined in OpResources
		mixwaveResources->csoundCmd ( text );
	else
	{
		char error[1024];
		
		snprintf ( error, sizeof ( error ), "%s has %d characters.\n\
Space allowed %d exceeded.", text, strlen ( text ), 255 );
		error [ sizeof ( error ) - 1 ] = 0;
		messageDialogManager->post ( error );
	}
}


void CsoundCmd::cancelCallback ( void *clientData )
{
	CsoundCmd *obj = ( CsoundCmd * ) clientData;

	obj->_popupRealised = False;
	delete obj->_edit;
}
