/*
	RawToWavCmd.h - add a linear format '.wav' header to raw short int data

	Will Eighteen, 2000: will@opaline.demon.co.uk
*/                                                                             

#ifndef RAWTOWAVCMD_H
#define RAWTOWAVCMD_H

#ifndef BREAK
#define BREAK
#include <BreakCmd.h>
#endif


#define BUFSIZE 1024


class Wave;
class FileAccess;


class RawToWavCmd : public BreakCmd
{
	public:
		RawToWavCmd ( char *, int, char *, char * );
		virtual ~RawToWavCmd();
		void setWaveDefaults ( long, short, short );
		char *source() { return _srcFile; };
		char *target() { return _dstFile; };
		int error() { return _error; }

	protected:
		void doCommand();
		
	private:
		unsigned long _blockLength;
		int _once;
		int _percentDone;
		int _error;
		char _srcFile[BUFSIZE];
		char _dstFile[BUFSIZE];
		FileAccess *_in;
		FileAccess *_out;
		long _totalSamples;
		long _samplesPerSec;
		short _bitsPerSample;
		short _channels;
		Wave *_pWave;
};

#endif
