/*
 ManageCmd.h - manage all windows in a LessTif application

 Douglas A. Young, 'Object-oriented Programming with C++ and OSF/Motif'
 2nd ed., Prentice-Hall.
*/

#ifndef MANAGECMD_H
#define MANAGECMD_H

#include "NoUndoCmd.h"


class ManageCmd : public NoUndoCmd
{
	protected:
		virtual void doCommand();	// manage windows
		
	public:
		ManageCmd ( const char *, int active = TRUE );
		virtual const char *const className() { return ( "ManageCmd" ); }
};

#endif

/*
  Notes:
  
  This class provides a way for users to invoke the manage() memeber function
  supported by the Application class. This function manages all registered
  MainWindow objects in an Application.
  
  There is no undoCommand() since doCommand() relies on Application to manage all
  windows and ManageCmd cannot determine which windows were previously managed.
  The undo is only possible if the Appliation class is extended.
*/
