/*
 NoUndoCmd.h - base class for Cmds without undo

 Douglas A. Young, 'Object-oriented Programming with C++ and OSF/Motif'
 2nd ed., Prentice-Hall.
*/

#ifndef NOUNDOCMD_H
#define NOUNDOCMD_H

#include "Cmd.h"


class NoUndoCmd : public Cmd
{
	public:
		NoUndoCmd ( const char *, int active = TRUE );
		
	protected:
		virtual void undoCommand();
};

#endif

/*
  Notes:
  
  A class without undo capability should be derived from this class.
*/
