/*
 WarnNoUndoCmd.h - warn user there is no undo for a command

 Douglas A. Young, 'Object-oriented Programming with C++ and OSF/Motif'
 2nd ed., Prentice-Hall.
*/

#ifndef WARNNOUNDOCMD_h
#define WARNNOUNDOCMD_h

#include "Confirm.h"

class WarnNoUndoCmd : public Confirm
{
	public:
		WarnNoUndoCmd ( const char *, int active = TRUE );
		virtual const char *const className() { return ( "WarnNoUndoCmd" ); }
		
	protected:
		virtual void undoCommand();
};

#endif

/*
  Notes:
  
  This class is used to warn the user if no undo exists for a particular command,
  by providing a warning message and initalizing the _hasUndo member to FALSE for
  the Confirm class.
*/
