/*
 PixmapCycler.h - abstract class supporting animation sequence
 modified by Will 18, 2000; will@opaline.demon.co.uk

 Adapted from
 Douglas A. Young, 'Object-oriented Programming with C++ and OSF/Motif'
 2nd ed., Prentice-Hall.
*/

#ifndef PIXMAPCYCLER_H
#define PIXMAPCYCLER_H

#include <Xm/Xm.h>


class PixmapCycler
{
	public:
		virtual ~PixmapCycler();
		Dimension width() { return ( _width ); }
		Dimension height() { return ( _height ); }
		Pixmap next();		// next pixmap in series
		Pixmap previous();
		Pixmap currentPixmap();	// number of current pixmap
		Pixmap numPixmaps();	// total number of pixmaps in series
		
	protected:
		int _numPixmaps;	// total number in cycle
		int _current;		// index of current pixmap
		Pixmap *_pixmapList;
		Dimension _width, _height;
		virtual void createPixmaps() = 0;	// for derived class to implement
		PixmapCycler ( int, Dimension, Dimension );
};

#endif

/*
  Notes:
  
  The constructor takes three arguments: no. of pixmaps in cycle, width and
  height of pixmaps.
*/
