// MenuApp.h - application class for demo menu application

#ifndef MENUAPP_H
#define MENUAPP_H

#include <Application.h>

class Cmd;


class MenuApp : public Application
{
	public:
		MenuApp ( const char * );
		virtual ~MenuApp();
		
		// access functions for Cmd objects
		Cmd *quitCmd() { return ( _quit ); }
		Cmd *manageCmd() { return ( _manage ); }
		Cmd *iconifyCmd() { return ( _iconify ); }
		Cmd *xCmd() { return ( _x ); }
		Cmd *yCmd() { return ( _y ); }
		Cmd *zCmd() { return ( _z ); }
		
		virtual const char *const className() { return ("MenuApp" ); }
		
	protected:
		// pointers to Cmd objects used throughout application
		Cmd *_quit;
		Cmd *_manage;
		Cmd *_iconify;
		Cmd *_x;
		Cmd *_y;
		Cmd *_z;
};

extern MenuApp *menuApp;

#endif


/*
  Notes:
  
  Classes needing to retrieve MenuApp's Cmd objects need the extern declaration
  of a pointer to an Application object supporting MenuApp's extended protocol.
*/
